de.dhbwstuttgart.logger

## Class LoggerConfiguration

- java.lang.Object
- - de.dhbwstuttgart.logger.LoggerConfiguration

    public class LoggerConfiguration
    extends java.lang.Object

### Field Summary

Fields
`private java.util.HashMap<Section,Menge<java.io.PrintStream>>` `outputs`

### Constructor Summary

Constructors
Constructor and Description
`LoggerConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `forEach(ConfigurationEvaluater action)`
`void` `mergeConfiguration(LoggerConfiguration config)`
`LoggerConfiguration` `setOutput(Section forSection, java.io.PrintStream output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### outputs

    private final java.util.HashMap<Section,Menge<java.io.PrintStream>> outputs

### Constructor Detail

#### LoggerConfiguration

    public LoggerConfiguration()

### Method Detail

#### setOutput

    public LoggerConfiguration setOutput(Section forSection,
                                         java.io.PrintStream output)

#### forEach

    public void forEach(ConfigurationEvaluater action)

#### mergeConfiguration

    public void mergeConfiguration(LoggerConfiguration config)